Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyFactory< T > Class Template Reference
[Plugins]

`#include <TemplateFactory.h>`

Inherits tlp::Plugin.

Inheritance diagram for tlp::PropertyFactory< T >:

[legend]
Collaboration diagram for tlp::PropertyFactory< T >:

[legend]
List of all members.

### template<class T>
class tlp::PropertyFactory< T >

## Public Member Functions

- PropertyFactory ()
- virtual ~PropertyFactory ()
- virtual T * createPluginObject (const PropertyContext &context)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Constructor & Destructor Documentation

template<class T>
tlp::PropertyFactory< T >::PropertyFactory | ( |  | ) | `[inline]`

template<class T>
virtual tlp::PropertyFactory< T >::~PropertyFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T>
virtual T* tlp::PropertyFactory< T >::createPluginObject | ( | const PropertyContext & | context | ) | `[pure virtual]`

template<class T>
virtual std::string tlp::PropertyFactory< T >::getMajor | ( |  | ) | const`[inline, virtual]`

| Return the major release number of the plug-in Implements tlp::Plugin.

template<class T>
virtual std::string tlp::PropertyFactory< T >::getMinor | ( |  | ) | const`[inline, virtual]`

| Return the minor release number of the plug-in Implements tlp::Plugin.

template<class T>
virtual std::string tlp::PropertyFactory< T >::getTulipMajor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

template<class T>
virtual std::string tlp::PropertyFactory< T >::getTulipMinor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

Tulip Software by LaBRI Visualization Team 2001 - 2010